1.2.0 (2026-03-08)
=====
- build: Rename POTFILES.in to POTFILES
- build: Make xsltproc dependency optional
- Fix previous commit
- Delay tab title update on contents changed to avoid high cpu usage
- cleanup: Move function and set static qualifier
- Do not escape non-ASCII characters in dnded uris
- build: Add 'doc' configure option
- Escape special characters in dnded uris
- build: Fix typo in optimization level
- doc: Add "bugs" section to man page
- search: Shift+Enter for Next; remove throttling
- wayland: dropdown: Handle output disconnection
- I18n: Update po/LINGUAS list
- Allow handling middle click event by terminal applications
- Fix shift + right click propagation to terminal apps
- README.md: Add uninstall info
- Fix hyperlink-related leaks in terminal_widget_get_link
- Remove autotools build
- Use XfceNotebook from libxfce4ui
- Fix "Copy link address" on kwin_wayland
- prefs-dialog: Expose hidden setting 'misc-highlight-urls'
- cleanup: Remove '== (TRUE|FALSE)'
- Update README after switchover to meson
- Adjust include order for FreeBSD
- meson-build: Fix manpage install dir
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), English (United
  Kingdom), Estonian, Finnish, French, Galician, German, Greek, Hebrew,
  Hungarian, Icelandic, Indonesian, Interlingue, Italian, Japanese,
  Kazakh, Korean, Lithuanian, Malay, Norwegian Bokmål, Occitan (post
  1500), Persian (Iran), Polish, Portuguese, Portuguese (Brazil),
  Romanian, Russian, Serbian, Slovak, Slovenian, Spanish, Swedish,
  Tatar, Thai, Turkish, Ukrainian, Uyghur, Vietnamese

1.1.5 (2025-03-26)
=====
Meson has been added as a build system in this release, and the
associated archive has been generated by 'meson dist'. Although
autotools has been retained for the time being and can still be used
via 'autogen.sh', meson is now the preferred build system, and
autotools will be removed in a future release.

- build: Automate copyright year management
- window: Add dnd support outside screen
- Apply .clang-format file
- Sort includes
- clang-format: Add file
- Add meson build
- Add hidden setting to resize window when zoomed in/out
- Revert "Cancel by default in unsafe past dialog"
- build: Add missing dep flags
- Hide the launcher for xfce4-terminal-settings
- screen: Don't overwrite VteTerminal:allow-hyperlink binding
- Translation Updates:
  Catalan, Hungarian, Japanese, Portuguese (Brazil), Russian, Swedish,
  Ukrainian

1.1.4 (2024-12-25)
=====
- window: Ensure tabs_menu != NULL when updating
- screen: Ensure working dir is not NULL
- Do not resize the window on zoom
- docs: added documentation and cli parsing for --class option
- Use TerminalWindow's screen to test for windowing system
- Use dropdown's display rather than default display
- Avoid warning when widget display is not the default display
- Fix segfault when there are both Wayland and X11 displays
- screen: Avoid type check on released variable
- preferences: Initialize GdkRGBA variable
- screen: Cancel async spawn of child in finalize()
- Improve error message for empty custom command
- Check for screen pointers equality before destroying last screen
- screen: Fix gtk_container_get_children leaks
- screen: Fix string leak in terminal_screen_paste_unsafe_text
- window: Fix leak in terminal_window_get_working_directory
- window: Fix leak in terminal_window_menu_add_section
- main: Fix string array leak
- terminal: Fix spelling error
- prefs-dialog: Fix AtkRelationSet leak
- Fix gtk-layer-shell includes
- preferences: Add missing sanity check
- Preferences: maximize new windows
- Fix running a command as a login shell
- scan-build: Fix core.NullDereference and core.CallAndMessage
- build: clang: Silence -Wcast-align
- Update `.gitignore`
- Rename theme file to desktop for gettext detection
- I18n: Update po/LINGUAS list
- build: Use XDT_VERSION_INIT and get rid of configure.ac.in
- build: Switch from intltool to gettext
- Cancel by default in unsafe past dialog
- Restore "Text blinks" tooltip
- Revert "fix typo"
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), English (United
  Kingdom), Estonian, Finnish, French, Galician, German, Greek, Hebrew,
  Hungarian, Icelandic, Indonesian, Interlingue, Italian, Japanese,
  Kazakh, Korean, Lithuanian, Malay, Norwegian Bokmål, Occitan (post
  1500), Persian (Iran), Polish, Portuguese, Portuguese (Brazil),
  Romanian, Russian, Serbian, Slovak, Slovenian, Spanish, Swedish,
  Thai, Turkish, Ukrainian, Uyghur

1.1.3 (2024-02-29)
=====
- prefs-dialog: Fix wrong assert
- screen: Fix wrong assert
- Translation Updates:
  Italian

1.1.2 (2024-02-05)
=====
- Update copyright year
- Update tooltip when hovering over a hyperlink
- build: Align CFLAGS with LDADD
- prefs-dialog: Add missing strings to translate (#222)
- dropdown: Default dropdown-toggle-focus to false
- Add runtime guard for XfceSMClient
- build: Restrict XfceSMClient to X11
- Determine cwd on FreeBSD in a native way instead of using linprocfs
- window: Remove weak ref on prefs dialog in finalize()
- build: Get rid of #ifdef G_ENABLE_DEBUG
- Do not reconnect accels when closing last tab
- build: Lower xfce4-dev-tools requirements to stable version
- search-dialog: Use xfce_titled_dialog_set_default_response()
- Translation Updates:
  Albanian, Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Croatian, Danish, Dutch, Estonian, French, German, Greek, Italian,
  Japanese, Lithuanian, Norwegian Bokmål, Polish, Portuguese,
  Portuguese (Brazil), Russian, Serbian, Slovenian, Spanish, Swedish,
  Turkish, Ukrainian

1.1.1 (2023-10-14)
=====
- build: Simplify and clarify X11/Wayland distinction
- Fix xfce_titled_dialog_create_action_area() deprecation
- build: Define our own windowing macro instead of extending GDK's
- wayland: Fix drop-down keep-above for non-prefs dialogs
- wayland: Fix drop-down terminal keep-above
- wayland: Fix window activation
- wayland: Fix drop-down terminal positioning (Fixes #141)
- wayland: Fix new window size
- Replace XDT_CHECK_LIBX11 and use HAVE_LIBX11 when appropriate
- Use the same windowing environment test everywhere
- Fix build when X11 is disabled
- drop-down: Make settings easier to understand
- drop-down: Fix allocation warnings
- Apply 7 suggestion(s) to 2 file(s)
- Save and restore terminal window workspace in X11 session
- doc: Remove reference to terminalrc
- app: Put GtkSettings:gtk-menu-bar-accel overwrite back in place
- Translation Updates:
  Albanian, Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Czech, Danish, Dutch, English (United Kingdom), Estonian, French,
  German, Greek, Hebrew, Indonesian, Italian, Japanese, Kazakh, Korean,
  Lithuanian, Norwegian Bokmål, Persian (Iran), Polish, Portuguese,
  Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian, Spanish,
  Swedish, Turkish, Ukrainian

1.1.0 (2023-08-22)
=====
- Update copyright year
- Allow passing arguments to custom commands
- Fully translate strings in unsafe paste dialog
- window: Properly sync always-show-tabs
- cleanup: Include gdkx.h in one place
- preferences: Remove unused class member
- preferences: Check if channel itself exists instead of check property
- screen: Review image loader memory management
- image-loader: Review cache management
- Add keywords to .desktop files (Fixes #50)
- screen: Take window scaling into account when drawing (Fixes #71)
- Remove obsolete GNOME default-app file (Fixes #109)
- Add "Open File Manager Here" action (Fixes #133)
- Properly manage default encoding (Fixes #128)
- Move general include in private.h
- dropdown: Disable systray icon on Wayland
- Fix startup with GDK_BACKEND=x11 (Fixes #177)
- shortcuts: Restore broken action toggle-menubar
- shortcuts: Fix non-consumed key event for show-menubar
- main: Allow GTK to parse its options first (Fixes #216)
- search: Add missing sanity check
- Use GLib logging functions and do not translate warnings
- Fix typo
- Remove obsolete CHECK_VERSION()
- Use g_new() instead of malloc()
- Fix Xfconf memory management
- search-dialog: Fix memory leak
- Remove extra separator at the end of context menu
- Missing shortcut keys in the standalone preferences dialog (Issue 
#198)
- Apply 1 suggestion(s) to 1 file(s)
- Enable kinetic scrolling in VteTerminal
- Extend --disable-server description wrt. process model
- End all full sentences with a period
- Drop obsolete --disable-server translations
- prefs-dialog: Fix untranslated strings
- Add sixel support
- Add icons at missing sizes, clean up SVG metadata
- build: Fix autoconf warnings
- build: Add GLib requirement
- Add accel entries for scrolling pages (Issue #221)
- Remove documentation for dead anti-aliasing option
- Make strings translatable (Issue #222)
- Fix shortcuts-editor include
- Indentation
- Support hyperlinks (Issue #21)
- fix typo
- Fix argument type for xfce_shortcuts_editor_new
- fix background_notify
- fixed typo
- Remove disable-help preference.
- MR: !51 transitioned to Xfconf (#134)
- typos in MR !48 fixed
- Remove all references to terminal-preferences.glade
- Remove one more mention of terminal-preferences.glade
- Remove trailing slash
- Remove terminal-preferences-ui.h from makefile
- Remove terminal-preferences.glade
- MR: !48 shortcuts editor embedded into preferences-dialog (#195)
- MR: !48 preferences-dialog rewritten in C (#195)
- MR: !46 Change in implementation for TAB accels (#150)
- Implementation of MiscShiftArrowsToScroll as accelerators.
- Add PCRE2 build dependency
- Remove libxfce4ui 4.17 version guards
- Replace with xfce_gtk_menu_append_separator
- Tweak toolbar
- Translation Updates:
  , Albanian, Arabic, Armenian (Armenia), Basque, Belarusian,
  Bulgarian, Catalan, Chinese (China), Chinese (Taiwan), Croatian,
  Czech, Danish, Dutch, Eastern Armenian, English (Australia), English
  (United Kingdom), Estonian, Finnish, French, Galician, German, Greek,
  Hebrew, Hungarian, Icelandic, Indonesian, Interlingue, Italian,
  Japanese, Kazakh, Korean, Lithuanian, Malay, Norwegian Bokmål,
  Occitan (post 1500), Persian (Iran), Polish, Portuguese, Portuguese
  (Brazil), Romanian, Russian, Serbian, Slovak, Slovenian, Spanish,
  Swedish, Thai, Turkish, Ukrainian

1.0.4
======
Fixes a regression introduced in 1.0.1.

Regressions fixed:
- URL drag-n-drop adding rubbish characters (Issue #196)

Gitlab:
- Fix CI build


1.0.3
======
Stable release fixing regressions.

Fixes:
- Consume KeyEvents when activating a TAB accelerator.
- Regression: Scrollbar position setting does not work if you start 
with a hidden scrollbar (Issue #192)
- Regression: Revert ff94ff30c1f83561f0abad4867846880ba9c6f83 which 
broke scroll-on-output and change the default value (Issue #191)

Translation Updates:
  Hebrew, Portuguese (Brazil), Russian

1.0.2
======
Stable release fixing a regression related to switch/move tab accelerators.

- Regression: MiscCycleTabs preference does not work for accelerators (#186, #24).
- Translation Updates:
  Russian

1.0.1
======
Stable release fixing regressions and a couple of older bugs.

- A new hidden preference `DropdownParametersOnce` has been introduced to control whether the drop-down
  window accepts command line arguments after creation. With the introduction of this preference
  an older bug was fixed where tabs could be added to the drop-down window even though they
  weren't supposed to.
- Options: --active-tab does not behave properly when adding tabs to existing windows.

Regressions fixed:
- Find dialog does not respond to Return key (Issue #176)
- Dragging a URL from Chromium ends up truncated (Issue #180)
- Toolbar size changes when the window is maximized (Issue #181).
- Unable to create a single window with many tabs through command line options (Issue #182).

Translation Updates:
  Danish, Finnish, Greek, Russian, Turkish

1.0.0
======
Stable release including improvements introduced in versions 0.9.0, 0.9.1 and 0.9.2. 
The Shortcuts Editor requires libxfce4ui 4.17.2 or greater. 

Fixes
- Remove remaining libxfce4ui 4.16 version guards

Translation Updates:
  Danish, Greek, Russian, Turkish

0.9.2
======
This is a RELEASE CANDIDATE for 1.0.0. If you want to help keep xfce4-terminal
bug-free you can test this release and report any problems you encounter.

DEPENDENCIES UPDATED:
- VTE: 0.51.3
- Xfce-libs: 4.16.0

General Improvements:
- Use XfceTitledDialog for `Find` (Issue #168)
- Include '\r' in unsafe-paste checks
- Update tab accelerators at runtime
- Consume events that activate accelerator callbacks (Issues #159 #153)

Shortcuts editor (depends on libxfce4ui 4.17): 
- Center on the active terminal window.
- Change handling of goto-tab accelerators so they can be changed through the editor.

Regressions fixed:
- Menubar changes size when the window is maximized (Issue #156)
- Context Menu: Revert changes in order and contents introduced by the transition to XfceGtkActionEntries
- Add "Show Window Borders" entry in View menu (it was missing in the last 2 dev releases)
- Revert view menu order (Zoom entries below checkboxes)
- Fix the visibility flag of the scrollbar (Issue #161, could lead to broken themes)

Other:
- Replace GTimeVal with gint64
- Fix build warnings
- Update Copyright

Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), English (United
  Kingdom), Estonian, Finnish, French, Galician, German, Greek, Hebrew,
  Hungarian, Icelandic, Indonesian, Interlingue, Italian, Japanese,
  Kazakh, Korean, Lithuanian, Malay, Norwegian Bokmål, Occitan (post
  1500), Polish, Portuguese, Portuguese (Brazil), Romanian, Russian,
  Serbian, Slovak, Slovenian, Spanish, Swedish, Thai, Turkish,
  Ukrainian

0.9.1
======
This is a development release.

New features:
- Use GtkScrolledWindow for TerminalScreen and add an overlay-scrolling preference (Issue #149)
- Support the new Shortcuts editor widget (requires libxfce4ui 4.17.2 or greater)
- New preference: Select right click action

Enhancements:
- Improved `scrolling-on-output` behaviour.
- Unsafe Paste Dialog temporary override (Issue #106)

Fixes:
- Fix regression: File Menu missing `Close Window` entry
- Fix regression: Disable Help shortcut does not work
- Fix regression: go-to accelerators not working on startup
- Fix regression: Revert accelerator paths to maintain backwards compatibility
- Use the latest .glade file structure

Documentation:
- Change incorrect reference to ${XDG_CONFIG_DIRS} in man page (Issue #47)
- Change outdated documentation links

- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), English (United
  Kingdom), Estonian, Finnish, French, Galician, German, Greek, Hebrew,
  Hungarian, Icelandic, Indonesian, Interlingue, Italian, Japanese,
  Kazakh, Korean, Lithuanian, Malay, Norwegian Bokmål, Occitan (post
  1500), Polish, Portuguese, Portuguese (Brazil), Romanian, Russian,
  Serbian, Slovak, Slovenian, Spanish, Swedish, Thai, Turkish,
  Ukrainian

0.9.0
======
This is a development release.

- Replace the deprecated GtkActionEntries with XfceGtkActionEntries (Issue #79)
- Opening a dialog from a drop-down window closes the window (Issue #136)
- Add `Fill` background image style (MR !23).
- Improved options parsing (for both short and long forms)
- Add a menu entry to send signals to the foreground process (Issue #59)
- Fix `keep window open` preference being applied on restart.
- Rework "--tab" and "--window" behavior (Issue #13)
- Ignore unused modifiers for scroll wheel zooming
- Add alternative shortcuts for zooming (Issue #126)
- Expand scrolled window and make dialog size 70% of parent (!17)
- Support libxfce4ui XfceTitledDialog new API

Unsafe Paste Dialog:
- Update unsafe paste dialog text (Issue #73)
- Fix paste button focus
- Replace subtitle by infobar for Unsafe paste dialog
- Fix the `unsafe paste` dialog to actually paste

Cleanup:
- Update `.gitignore`, HACKING, AUTHORS, COPYRIGHTS
- Update --preferences, --tab and --window documentation
- Fix various typos
- Fix compilation warnings
- Remove unnecessary function call (!24)

Temporary changes (will be changed before the final release):
- Add a "Do not warn me again" checkbox for the "Unsafe Paste" dialog (Issue #129)

Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), English (United
  Kingdom), Estonian, Finnish, French, Galician, German, Greek, Hebrew,
  Hungarian, Icelandic, Indonesian, Interlingue, Italian, Japanese,
  Kazakh, Korean, Lithuanian, Malay, Norwegian Bokmål, Occitan (post
  1500), Polish, Portuguese, Portuguese (Brazil), Romanian, Russian,
  Serbian, Slovak, Slovenian, Spanish, Swedish, Thai, Turkish,
  Ukrainian, Uyghur

0.8.10
======
- Bump libvte, gtk and xfce minimal versions (4.14)
- Stop using G_SPAWN_CHILD_INHERITS_STDIN spawn flag
- Updates README.md.
- Added new stock icons
- Limit font picker to fixed-size fonts
- Add gtk-doc as a dependency
- Do not require connection to generate manpage
- Bug #16875: Do not add ui.h file in datadir
- Simplify terminal manpage generation
- Switch preferences ui file to xdt-csource
- Switch to README.md and foreign automake mode
- Do not override clipboard contents
- Unsafe paste: Support bracketed paste mode
- Do not select text in Search dialog
- Add basic GitLab pipeline
- Translation Updates:
  Albanian, Armenian (Armenia), Basque, Bulgarian, Chinese (China),
  Chinese (Taiwan), Danish, Dutch, Eastern Armenian, Estonian, French,
  Greek, Hebrew, Hungarian, Indonesian, Interlingue, Italian, Japanese,
  Lithuanian, Norwegian Bokmål, Occitan (post 1500), Polish,
  Portuguese, Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian,
  Spanish, Swedish, Turkish, Ukrainian, Uyghur

0.8.9.2
=======
- Allow to create window with 1 line height. One should also disable the
  scrollbar (--hide-scrollbar) to get 1 row window. (bug #16447)
- Fix 'Transparency setting ignored when using --color-bg' (bug #16309)
- Translation updates: Albanian, Belarusian, Polish, Portuguese, Slovenian,
  Swedish

0.8.9.1
=======
- Fix "Open terminal here" functionality that was broken in release 0.8.9
  (bug #16307)

0.8.9
=====
- Respect the "Working Directory" setting when opening initial window (the
  current directory was used instead). (bug #16292)
- Disable "Paste" actions in read-only mode
- Point session manager to desktop file. This means that the session manager
  will know the (translated) name and icon for the application. This is visible
  e.g. in xfce4-session-settings in the "Current Session" tab. (bug #16121)
- Resolve G_TYPE_INSTANCE_GET_PRIVATE deprecation warning
- Allow to use <Alt> shortcuts when menu mnemonics are disabled - like <Alt>h
  which is normally used for "Help" menu. (bug #15989)
- Fix 'Menubar starts shown when set to hidden in properties' (bug #15979)
- Fix invalid geometry on Wayland. Also fixes the issue with increasing the
  window size when showing or hiding widgets such as tabbar, toolbar, menubar
  on Wayland.
- Fix size increase when the menu is used on Wayland (bug #13938)
- Avoid passing null pointer to g_warning()
- Replace GLib threading functions with their GDK counterparts
- Fix setting a font via the command line (bug #15869)
- Properly apply zoom factor when creating new tab (bug #15785)
- Add icons to "Cancel" and "Paste" buttons
- Fix background color changing when changing focus if "Vary the background
  color for each tab" is enabled (bug #15740)
- Revert "Save accelerators map on exit". It turned out that saving accelerators
  map on exit prevents users from disabling the Alt+N shortcuts by setting them
  to "" in accels.scm. The shortcuts that had been disabled got overridden on
  the next launch of the terminal. (bug #16058)
- Allow to unset window urgency hint even if "Visual bell" is disabled (bug
  #15729)
- Unmaximize drop-down window when hiding it. This seems to help xfwm4;
  otherwise, it won't be able to unmaximize the window once it's shown again.
  (bug #15681)
- Allow to use --maximize with drop-down windows
- Search dialog: Make opacity scale unfocusable. This prevents the text entry
  from losing focus when the opacity scale is used.
- Fix closing tabs with middle click. This includes switching to last active
  tab, allowing to undo close tab, and checking for a running process. (bug
  #15687)
- Translation updates: Croatian, English (United Kingdom), Finnish, French,
  Galician, Greek, Italian, Lithuanian, Norwegian Bokmål, Portuguese, Slovak,
  Slovenian

0.8.8
=====
- Do not show "Rewrap on resize" option for vte>=0.58: it's been deprecated,
  rewrapping on resize will always be enabled. (bug #15562)
- Drop support of Unicode encodings other than UTF-8 (bug #15377)
- Fix the size of drop-down window after it's been in fullscreen mode
  (bug #15240)
- Convert LF to CR when feeding text - this fixes pasting text to some apps
  (see https://gitlab.gnome.org/GNOME/vte/issues/106)
- Save accelerators map on exit (bug #15201)
- Add support for the Tab key in shortcuts (by default, GTK doesn't allow that)
- Do not resize the window when it's vertically maximized (bug #10551)
- Add action to switch to last active tab (bug #15201)
- Respect Xfce monospace font setting (bug #15202)
- Dropdown window was session saved and restored as a normal window if it was
  the only one (bug #11362)
- Preferences: Align controls on the General tab
- Implement "Unsafe Paste" dialog (bug #13252)
- Enable Ctrl+(Shift)+Tab as Next/Prev Tab shortcuts (bug #15092)
- Add an option to use system theme colors for text and background (bug #14808)
- Search dialog improvements: Enable "Wrap around" by default; Make
  "Find Next"/"Find Previous" menu items respect search settings; Make buttons
  use menu item accelerators; Allow to set opacity (min 10%) (bug #15124)
- Fix handling of OSC-10 escape sequence (bold text color) (bug #15019)
- Refine the wording for "opacity not available" (bug #14904)
- Add a space character after a dragged filename or URL (bug #14849)
- Support monitoring of the terminalrc file even it's a symlink (bug #14698)
- Fix the "Close tab" button: When the "Close tab" button got clicked in the
  "Confirm close" dialog, the entire window (instead of just the current tab)
  got closed (bug #14645)
- Preferences: remove dependency on libxfce4ui
- Fix typo in the .desktop file (bug #14594)
- Improve .desktop files for GNOME (bug #14575)
- Fix a small typo in the manpage
- JIT compile regexes (taken from gnome-terminal). This allows to recognize
  longer and more complex URLs.
- Update terminal regexes from gnome-terminal (regex: Allow apostrophes in
  URLs, except when enclosed between them)
- Allow to move tabs between windows by dragging them onto the terminal area
- When detaching a tab from a drop-down window, resize the new window to the
  default geometry
- Reset activity indicator for the active tab when focusing window
- Distinguish terminal settings from the actual terminal entry in the menu
  (bug #14456)
- When closing an active tab, switch to the previously active one
- Tab title color feature improvements: add action, restore the color when
  unclosing a tab, fix the color picker dialog's name, add Reset button
- Some parts of the --help output were not translated
- Restore terminal colors when unclosing a tab
- New translations: Armenian (Armenia), Interlingue
- Translation updates: Albanian, Arabic, Asturian, Basque, Belarusian,
  Bulgarian, Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech,
  Danish, Dutch, English (Australia), English (United Kingdom), Finnish,
  French, Galician, German, Greek, Hebrew, Hungarian, Icelandic, Indonesian,
  Italian, Japanese, Kazakh, Korean, Lithuanian, Malay, Norwegian Bokmål,
  Occitan, Polish, Portuguese, Portuguese (Brazil), Romanian, Russian, Serbian,
  Slovak, Slovenian, Spanish, Swedish, Thai, Turkish, Uighur, Ukrainian

0.8.7.4
=======
- Tab became active if unclosed to the left of the current tab
- Fix new tab being one pixel short under some GTK themes (e.g., Greybird)
  which led to changing the window geometry and losing a row (bug #13263)
- Resolve deprecation of vte_terminal_match_set_cursor_type()
- Add --preferences command line option and corresponding .desktop file: this
  allows to open a standalone Preferences dialog from Xfce Settings (bug #13249)
- Add command line options for setting text (foreground) and backround colors:
  --color-text and --color-bg, respectively (bug #4887)
- Add "Copy Input" action: it shows a popover and allows to copy the input
  to all tabs within the current window (bug #10047)
- Update URLs to use https protocol
- Add info on accels.scm to the man page
- Reduce the Preferences dialog height
- First show the terminal and then update its settings (bug #14322)
- Add command line option --active-tab which allows to specify active tab within
  a window. It also allows to keep the active tab when restoring a saved Xfce
  session.
- Convert "Relaunch" dialog to GtkInfoBar to make it less intrusive
- Add tooltips for "Set Title" popover elements
- Resolve the warnings gcc8 has introduced
- Translation updates: Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Croatian, Czech, Danish, Dutch, English (Australia), French, German, Hebrew,
  Hungarian, Japanese, Lithuanian, Malay, Polish, Portuguese, Portuguese
  (Brazil), Russian, Turkish, Ukrainian

0.8.7.3
=======
- Fix drop-down terminal hotkey (bug #14289)
- Suppress gdk_keyboard_(un)grab deprecation warnings
- Restore "Allow bold text" option (bug #14292)
- Fix app crash when running a non-existing command (bug #14295)
- Correct foreground process check for async child spawn
- Add an option to disable "Relaunch" dialog pop-up (bug #14287)
- Translation updates: Belarusian, Catalan, English (Australia), French, Greek,
  Italian, Japanese, Portuguese, Ukrainian

0.8.7.2
=======
- Fix gdk_keyboard_(un)grab deprecation warnings
- Suppress gtk_status_icon_* deprecation warnings
- Use async spawn method for VTE >= 0.48 (bug #14249)
- Fix handling of tabs reordering (bug #14278)
- Update window actions and active tab indication on reordering tabs
- Translation updates: Albanian, Catalan, Croatian, Danish, Finnish, Norwegian
  Bokmål, Serbian, Swedish

0.8.7.1
=======
- Fix Alt+n shortcuts for switching tabs; also, update tabs menu after
  reordering tabs (#14247)

0.8.7
=======
- Update man page: add a note about config file changes being picked up
- Update 'Read-Only' checkbox state when switching between tabs
- Use Ctrl+click to directly open color editor in Preferences (#13715)
- Add a setting to control drop-down window vertical position (#13722)
- Allow per-terminal configuration of 'scroll on output' mode
- Add "Copy as HTML" to Edit and context menus (VTE 0.50 required)
- Add support for utmp file updates (build using --with-utempter parameter)
  (#13710)
- Fix negative geometry offsets handling (#13753)
- Focus the terminal after closing Set Title popover (#13754)
- Request confirmation when closing window or tab which has a running process
  (#13781)
- Add an option to open new tab to the right of the current tab (#13821)
- Fix VTE critical message when a terminal has no pty
- Allow to restart a process after it exited or was killed (for -H/--hold)
  (#13820)
- Expose default terminal directory setting to Preferences: if set, will be
  used by new terminals; current directory will be used otherwise.
  MiscDefaultWorkingDir renamed to DefaultWorkingDir.
- Make use of VTE 0.52 new vte_terminal_get_scroll_on_output() API
- Add new tab to the currently active window, not to the last open (#13891)
- Move slim tabs setting to the Appearance tab
- Add Audible and Visual bells configuration to Preferences (#13874)
- Disable move tab actions when MiscCycleTabs is false and the tab is in the
  leftmost or rightmost position (#13892)
- Try to retrieve current working directory from VTE (#13902)
- Fix BSD build by adding missing include
- Bump required GTK+ version to 3.20.8 to resolve the problem with Set Title
  dialog that is using GtkPopover (#13996)
- Do not escape URL as libxfce4ui now does it (#12715)
- Expose "middle mouse click to open URLs" setting to Preferences
- Fix handling empty $DISPLAY env var which may happen under Wayland (#14092)
- Update regex definitions from gnome-terminal: Disallow terminating semicolon
  in URLs, Allow balanced pairs of square brackets in URLs
- Remove man page translation files as Transifex doesn't take care of them
  (#12938)
- Add option to control text blinking (VTE 0.51.3) (#14127)
- Add "Bold is bright" option; remove "Allow bold text" option (VTE 0.51.3)
- Add cell spacing options (VTE 0.51.3) (#14127)
- Allow underscores that are part of tab titles to be shown in the tabs menu
- Don't copy working directory to $PWD for vte >= 0.51.90
- Resolve deprecations of GDK functions
- Translation updates: Arabic, Asturian, Basque, Bulgarian, Catalan, Chinese
  (China), Chinese (Taiwan), Croatian, Czech, Danish, Dutch, English
  (Australia), Finnish, French, German, Greek, Hebrew, Hungarian, Icelandic,
  Indonesian, Italian, Japanese, Kazakh,   Korean, Lithuanian, Malay, Norwegian
  Bokmål, Occitan, Polish, Portuguese, Portuguese (Brazil), Romanian, Russian,
  Serbian, Slovak, Slovenian, Spanish, Swedish, Thai, Turkish, Uighur, Ukrainian

0.8.6
=======
- Fix handling email addresses
- Allow per-tab configuration of dynamic title mode and initial title by adding
  --dynamic-title-mode and --initial-title options (#2908)
- Migrate tab 'Set Title' dialog to a gtk popover (#13522)
- Add option to select cursor foreground (text) color to preferences
- Fix drop-down terminal ignoring 'move to monitor with pointer' option (#13666)
- Disable Ctrl+PgUp/PgDn shortcuts when there's only one tab (#10469)
- Fix negative dimensions GTK warning when running terminal with --tab option
- Update regexes from gnome-terminal
- Fix --tab option broken lately (#13587)
- Fix drop-down window positioning when using --zoom option
- Translation updates: Arabic, Bulgarian, Catalan, Chinese (China), Chinese
  (Taiwan), Croatian, Czech, Danish, Dutch, French, Hebrew, Indonesian, Kazakh,
  Korean, Lithuanian, Polish, Portuguese (Brazil), Russian, Spanish, Swedish,
  Thai, Ukrainian

0.8.5.1
=======
- Fix font settings load (#13574)

0.8.5
=====
- Do not change drop-down window size when zooming in/out
- Create terminal of desired size instead of default size of 80x24: this allows
  to avoid resizing the terminal right after creation (#13521)
- Use default terminal geometry when --geometry parameter is used but its value
  only contains X and Y offsets
- Improve label layout in preferences dialog: restrict max width to 80 chars
  (#13497)
- Add --minimize command line option
- Calculate screen dimensions properly when having multiple monitors
- Prevent clipboard from being filled with garbage (#13403)
- Resolve deprecation warnings: gtk_show_uri_on_window,
  gdk_screen_make_display_name, gdk_screen_get_width/height
- Silence most of deprecation warnings that are not resolved
- Make Preferences dialog app-global - the same dialog window will be used
  by multiple terminal windows
- Remove large space to the left of tab text when the text is too short
  (this allows tabs to be smaller)
- Gtk3 required version bumped to 3.16.0
- Fix memory leaks
- Close Find dialog when closing parent terminal window
- Close Set Title dialog when closing its corresponding tab
- Translation updates: Catalan, Chinese (Taiwan), German, Greek, Hebrew, Kazakh,
  Lithuanian, Norwegian Bokmål, Polish, Portuguese (Brasil), Russian, Serbian,
  Slovenian, Swedish, Thai, Ukrainian

0.8.4
=====
- Fixes related to fullscreen state and showing/hiding window in drop-down
  mode
- Fix incorrect window positioning when started in fullscreen state
- Add a separate Show window borders setting for drop-down mode (#10297)
- Make Double click chars setting more compact in the UI
- Do not force show drop-down window on screen size change (#13295)
- Background image improvements: scale huge images to 8K when loading from
  file (this reduces memory consumption); print a warning if failed to open
  an image
- Expose Slim tabs setting to Preferences
- Translation updates: Bulgarian, Chinese (China), Chinese (Taiwan), Croatian,
  Czech, Danish, Dutch, Finnish, French, Japanese, Kazakh, Korean, Lithuanian,
  Malay, Norwegian Bokmål, Polish, Portuguese, Russian, Slovak, Spanish,
  Ukrainian

0.8.3
=====
- Fix incorrect initial position of a drop-down window under Unity
- min-height/width CSS properties not available in old GTK versions
- Remove redundant set_window_geometry_hints() call (bug #13280)
- Add Help button to Set Title dialog
- GtkColorButton show-editor property only available starting with GTK 3.20
  (bug #13278)
- Watch for screen size changes to update drop-down window size or position
  accordingly. Size change signal is emitted when monitor resolution is
  changed or another monitor is connected
- Make slim tabs even more slim
- Translation updates: Chinese (China), Lithuanian, Thai

0.8.2
=====
- Add hidden option MiscSlimTabs to override huge gtk3 tabs style (bug #12796)
- Temporarily show menubar with F10 even if it's hidden (bug #13231)
- Add "Run custom command instead of shell" feature (bug #13236)
- Fix segfault on dragging last window tab to another window
- Add option for ambigouos-width characters (narrow/wide)
- Don't show palette when editing palette colors in preferences
- Fix move dropdown window to monitor with pointer behavior (bug #13266)
- When un-closing a tab, set it active if it was active when it got closed
- Set locale as vte encoding in case encoding is not set in prefs
  (support for running 'LANG=charset xfce4-terminal')
- Allow to specify text selection background color (bug #13003)
- Allow to select system-wide monospace font in preferences
- Fix Alt+n shortcuts when starting with several tabs (bug #13264)
- Add option to automatically copy selection to the clipboard (bug #12931)
- Support background image transparency (bug #12944)
- Fix deprecation warnings
- Support setting drop-down status bar icon with --icon option (bug #12937)
- Fix terminal geometry hints for GTK < 3.19.5
- Translation updates: Arabic, Bulgarian, Catalan, Chinese (China),
  Chinese (Taiwan), Croatian, Czech, Danish, Deutsch, Dutch, French, Hebrew,
  Italian, Japanese, Kazakh, Korean, Lithuanian, Malay, Norwegian Bokmål,
  Polish, Portuguese, Portuguese (Brazil), Russian, Slovak, Spanish, Swedish,
  Ukrainian

0.8.1
=====
- Fix Ctrl press recognition for opening URIs with Ctrl+click
- Set preferences dialog type hint to make it show on top
- Fix toggling fullscreen mode with F11 for a drop-down window (bugs
  #12913, #12930)
- Allow setting of empty shortcut for goto-tab actions (Alt+digit)
- Resolve window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW
  message with a timestamp of 0
- Fix drop-down window visibility check (bug #12917)
- Resolve some deprecation warnings
- Fix drop-down window not shown on different workspaces
- Add MiscUseShiftArrowsToScroll hidden option to allow Shift+arrows
  one-line scroll (off by default)
- Allow user-defined color palettes - should be located under
  ~/.config/xfce4/terminal/colorschemes/ (bug #12908)
- Set window hints properly; show columns/rows when resizing (bug #12793)
- Translation updates: Chinese (China), Croatian, English (Australia), French,
  Kazakh, Lithuanian, Malay, Polish, Spanish, Ukrainian

0.8.0
=====
- Move context menu zoom actions to a sub-menu
- Fix some build-time deprecation warnings
- Fix hiding of dropdown terminal
- Fix setting focus to dropdown window (bug #12878)
- Fix "Always keep window on top" setting that was ignored
- Show missing action icons in dropdown mode
- Add rewrap on resize control option to Preferences
- Add --show/hide-scrollbar command line options (bug #1779)
- Implement background image support (bug #12845);
  add BackgroundImageShading setting for background image mode
- Remove "Scrolling single line" option as the functionality is implemented
  by vte (bug #12816)
- Add mouse-wheel binding for zoom: Shift + Ctrl + wheel up/down controlled by
  a hidden option MiscMouseWheelZoom - ON by default (bug #12869)
- Do not set DISPLAY variable in non-X11 environments (e.g. Wayland)
  (bug #12867)
- Fix memory leak when showing preferences dialog
- Fix menubar text not visible with some themes
- Fix vte "resize-window" signal handler (bug #12859)
- Fix notebook widget transparency seen under Unity
- Make vte transparency work in Gnome under both X11 and Wayland
- Show warning and disable Opacity control in Preferences if window manager
  does not support compositing
- Fix tab activity indication
- Fix geometry positioning when a negative offset is used (bug #12833)
- Quote all file names/URIs drag-and-dropped to the terminal (bug #12836)
- Fix cursor focus (bug #12807)
- Translation updates: Bulgarian, Chinese (Taiwan), Croatian, Czech, Dutch,
  English (Australia), French, German, Hebrew, Japanese, Korean, Lithuanian,
  Malay, Polish, Portuguese, Portuguese (Brazil), Russian, Slovak, Spanish,
  Swedish, Thai, Ukrainian

0.6.92
======
- Fix geometry setting (default or provided via the command line option)
  for GTK 3.21.5 (bug #12810)
- Remove "Update utmp/wtmp records when command is launched" setting since
  the feature has been removed from vte (bug #12817)
- Replace deprecated GtkTable with GtkGrid in Preferences
- Disable Zoom-In/Out actions on reaching zoom limits
- Do not allow Reset in Read-Only mode

0.6.91
======
- Fix solarized light theme colors (bug #12800)
- Fix huge size of Set Title dialog under wayland
- Support wayland (resolve crashes and warnings) (bug #12785)
- Improve handling negative x/y geometry positions (bug #12791)
- Fix scrollbar/menubar/toolbar incorrectly shown in dropdown mode after
  window has been minimized/restored (bug #12790)
- Add ability to save terminal contents to file (bug #6276)
- Prepare for upcoming vte regex API change
- Fix Vte-WARNING related to regex
- Implement Read-Only mode (user input disabled)
- Fix input focus lost issue after exiting a console app (e.g. nano)
- Fix cursor not blinking when fg color = bg color (bug #11981)
- Enable configuration of a new tab working directory: MiscDefaultWorkingDir
  option. If it is set (non-empty value), new tabs and windows will use the dir
  specified as their working dir. Otherwise, the behavior remains as is
  (current dir will be used). (bug #3891)
- Do not un-close tab that was moved to another window
- Properly enable/disable F1 shortcut
- Fix Preferences window hidden in fullscreen mode
- Do not un-close tab that was detached to create another window
- Fix incorrect update of go-to-tab menu
- Add Undo Close Tab functionality: stores closed tabs in chronological order;
  restores working directory, position in the tabbar, custom title
- Add Close Other Tabs functionality
- Make terminal always drop down from the top of the screen (bug #10713)
- Create Alt+digit shortcuts if they haven't been loaded from config file
  (bug #10639)
- Fix dropdown window animation; remove viewport widget
- Code cleanup: Do not declare or define a reserved identifier
- Add urgent bell functionality: MiscBellUrgent option (bug #9928)
- When detaching a tab, make new window respect original geometry
- Fix possible buffer overwrite issue found by Coverity
- Keep rows number constant when adding/removing widgets such as toolbar or
  tabbar (bug #12734)
- Make tab close button icon a bit smaller
- Add ability to switch tabs with mouse scroll wheel (request from
  www.opennet.ru)
- Fix selection characters override (bug #12735)
- Fix resize logic with tab (bug #12660)
- Translation updates: Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Croatian, Czech, Dutch, English (Australia), German, Hebrew, Japanese, Korean,
  Portuguese (Brazil), Russian, Serbian, Spanish, Swedish, Turkish, Ukrainian


0.6.90
======
- Migrate to GTK+3/VTE3 (bugs #11207, #11909, #10602, #11828, #12405, #11119,
  #11558, #12615, #9702, #10551, #9720, #3599, #7473, #8720, #4331, #10010,
  #12440, #12589)
- Fix closing wrong tabs with Ctrl+Shift+W (bug #10691)
- Make close tab shortcut work for single tab (bug #12490)
- Add Ctrl+Shift+PgUp/PgDn shortcuts to move tabs left/right (bug #11373)
- Add support for unlimited scrollback (bug #9875)
- Fix actions applied to wrong tab after closing another one (bug #11227)
- Update intltool (bug #12661)
- Add Ctrl+Shift+S hotkey to set title (bug #10960)
- Expose MiscTabCloseMiddleClick option to Preferences (bug #10271)
- Fix terminal window not moved to foreground when using --tab option
  (bug #11010)
- Respect Display window borders setting in drop-down mode (bug #10297)
- Apply opacity setting by chaging background color alpha value (bug #12681)
- Prevent characters from being hidden by block cursor (bug #9348)
- Fix in drop-down mode, "100% width" isn't really 100% (bug #12162)
- Add ShortcutsNoHelpkey option to disable F1 (help) shortcut key and expose
  it to Preferences (bug #10718)
- Add support for magnet links (bug #9775)
- Expose MiscMouseAutohide option to Preferences (bug #7221)
- Fix terminal crash when starting with --geometry (bug #12721)
- Add ability to zoom in/out by pressing Ctrl +/-; add --font and --zoom
  command line options (bug #5605)
- Expand zoom level (bug #12729)
- Add hidden option MiscMiddleClickOpensUri to control whether middle click
  opens URI: if FALSE, Ctrl + left click is used for that; default is FALSE
  (bugs #10621, #7714, #9166)
- Fix compilation for vte < 0.44
- Remove emulation setting and input methods menu as they are not supported
  by vte
- Do not allow creating multiple Set Title dialog windows
- Remove Help button and add icon to Close button in Set Title dialog
- Add an icon to the search dialog close button
- Rename UI setting from Transparency to Opacity
- Update terminal website address in the About dialog
- Fix crash on moving a tab from one window to another
- Add tooltip for the Find toolbar button
- Add setting to allow cursor blinking to Preferences
- Add setting to change cursor shape to Preferences
- Fix typo in the preferences dialog
- Add some new encodings taken from gnome-terminal
- Fix crash on setting encoding
- Fix detach tab functionality with GTK>=3.16
- Fix segfault when right/middle click on tab bar
- Translation updates: Arabic, Asturian, Bulgarian, Catalan, Chinese (China),
  Chinese (Taiwan), Croatian, Czech, Danish, Dutch, English (Australia),
  Esperanto, Finnish, French, German, Greek, Hebrew, Hungarian, Icelandic,
  Indonesian, Italian, Japanese, Kazakh, Korean, Lithuanian, Malay,
  Norwegian Bokmål, Polish, Portuguese, Portuguese (Brazil), Romanian, Russian,
  Serbian, Slovak, Slovenian, Spanish, Swedish, Thai, Turkish, Ukrainian.


0.6.3
=====
- Improve URL matching (bug #7959, bug #9800).
- Fix encoding menu creation (bug #10395).
- Added light solarized colorscheme (bug #10286).
- Fixed wrong foreground color in solarized dark (bug #10285).
- Fix terminal session restore (bug #9732).
- Translation updates: Arabic, Bulgarian, Czech, Danish, German,
  Greek, English (Australia), English (United Kingdom), Spanish
  (Castilian), Basque, Finnish, French, Hebrew, Croatian, Hungarian,
  Indonesian, Dutch (Flemish), Occitan (post 1500), Portuguese,
  Russian, Thai, Turkish, Uyghur, Ukrainian, Chinese (China), Chinese
  (Hong Kong), Chinese (Taiwan).


0.6.2
=====
- Autotools updates.
- Fix toolbars -> toolbar in docs.
- Check display for the real display, not display.screen.
- Display checking on drop-down windows (bug #9957).
- Fix format warning.
- Only call g_type_init on glib < 2.36.
- Translation updates: Arabic, Asturian, Belarusian, Bulgarian,
  Catalan (Valencian), Czech, Danish, German, Greek, English (United
  Kingdom), Esperanto, Spanish (Castilian), Estonian, Basque, Finnish,
  French, Galician, Hebrew, Croatian, Hungarian, Indonesian, Icelandic,
  Italian, Japanese, Kazakh, Korean, Lithuanian, Latvian, Norwegian
  Bokmal, Dutch (Flemish), Panjabi (Punjabi), Polish, Portuguese,
  Portuguese (Brazilian), Romanian, Russian, Sinhala, Slovak, Albanian,
  Serbian, Swedish, Telugu, Turkish, Uyghur, Ukrainian, Urdu, Urdu
  (Pakistan), Vietnamese, Chinese (China), Chinese (Hong Kong), Chinese
  (Taiwan).


0.6.1
=====
- Add drop-down window support with --drop-down parameter. This
  allows xfce4-terminal to start 1 game-console like window.
- Rename Go menu to Tabs.
- Load default Alt+N accelerators on first startup.
- Make single tab accelerator insensitive again.
- Rename clear scrollbar to reset.
- Fix crash when showing toolbar 2nd time (bug #9696).
- Don't check for version and help in parameters parsing.
- Remove Report Bug menu entry.
- Hide search dialog on delete to avoid crash.
- Set minimum tab label size to 10 chars.
- Make right-click tab menu more functional.
- Stop activity timeout when destroying a screen.
- Rename $TERM to emulation and use new preference to avoid
  migration crashes.
- Fix the tab re-use option when running from shortcut.
- Allow underscore and + in email address (bug #9392).
- Use new GPL license address (bug #9697).
- Allow setting the geometry in the preferences.
- Translation updates: Spanish (Castilian), French, Croatian,
  Italian, Japanese, Kazakh, Dutch (Flemish), Polish, Portuguese,
  Portuguese (Brazilian), Romanian.


0.6.0
=====
- Rename the package from Terminal to xfce4-terminal.
- Don't add mailto when copying to clipboard (bug #7909)
- Add search dialog.
- Fix activity handling when resizing the window.
- Use mid color if activity expired (bug #9686).
- Improve quit confirm dialog.
- Add move tab left/right options (bug #5918).
- Only show terminal in the system category (bug #8693).
- Don't pre-parse options after -x (bug #9167).
- Make tabs a fraction smaller.
- Drop the special handling of the Super key.
- Depend on libxfce4ui and use its API.
- Use standard stock icons.
- Depend on vte 0.28 and exo 0.10.
- Drop anti-alias preference (deprecated in vte).
- Add =+@ to the default word-chars.
- Add encoding support.
- Use GDBus for dbus communication.
- Remove toolbar editor.
- Remove the exo dependency.
- Remove the custom accelerator code.
- Bundle palette colors into a single string.
- Add background color vary option.
- Add option --color-table.
- Add support for color presets.
- Properly set termcap emulation.
- Another attempt to fix the invalid sizing issues (bug #4728).
- Use G_ENABLE_DEBUG to enable additional checks (bug #8552).
- Allow setting the bold color (bug #5987).
- Use xmllint to strip the glade file.
- Rename reset option to "Reset Scrollback".
- Allow re-using of last window with --tab.
- Improve documentation of --role (bug #8246).


0.4.8
=====
- Update online documentation location.
- Make image directory paths relative.
- Only make go menu action sensitive if tabs > 1 (bug #7595).
- Use exo preferred directly to open uris (bug #7140).
- Fix typo in German translation (bug #6654).
- Add 'Select All' shortcut and menu item (bug #6588).
- Fix transparency slider in Gtk+ 2.24.5.
- Translation updates (pt, de, zh_CN, da, nl, sk, nb, gl, eu).


0.4.7
=====
- Improve --version strings.
- Avoid racing on the size-changed signal (bug #6921).
- Protect against NULL borders (bug #7253).
- Translation updates (ca, da, de, el, es, fi, fr, id, it, ja, kk,
  pl, pt, ro, ru, sv, tr, uk, zh_CN)
- Manual translation updates (ru).


0.4.6
=====
- Parse the tab title if dynamic title is hidden.
- Abort doc generation if validating the xml file fails.
- Plug small memory leak and fix some compiler warnings.
- Recognize sftp in urls.
- Work around deprecated API in vte 0.26.
- Unbind title dialog binding before destroy.
- Protect against NULL border values (bug #7120).
- Set colormap on window init.
- Translation updates (cs, de, el, en_GB, es, eu, fr, gl, hr, id, ja,
  kk, nb, nl, pl, pt, ro, ru, ug, uk).
- Manual translation updates (el, es, fr, gl, hr, ja, pt, sv, ug).


0.4.5
=====
- Improve support for --program-transform-name.
- Don't set the locale twice on a normal startup.
- Only install the symlink if the Terminal command exists.
- Don't set translation domain when libxfce4util is new enough.
- Use utilities-terminal for the icon name.
- Add question dialog to view online manual.
- Abort when compiling with --enable-gen-doc with missing deps.
- Disconnect bindings before closing the dialog.
- Improve handling shells (bug #6368).
- Translation updates (hu, fr, de, da, pt, ca, ru, it, fi, si, kk,
  cs, uk, zh_CN, es, lv, ja, gl, hr, sk, ug).


0.4.4
=====
- Move detailed description of the command line options printed by
  --help to a man-page. The help option now only prints a summery
  of the available options.
- Add two missing toolbar tooltips.
- Add Terminal to the GTK category for the menu spec. Remove
  deprecated UTF-8 key from the desktop file.
- Some small code cleanups.
- Allow : in web links.
- Translation updates (ru, pt, da, es, ca, eu, zh_CN, gl, ja, nl,
  cs, id, pt_BR, fi, fr, en_GB, el, sk, it).


0.4.3
=====
- Make right/middle-click on tabs work when on all tab orientations
  and when they are not packed as the first widget.
- Token substitution in the initial title (%#, %d, %D and %w are
  currently supported. See documentation for more information.
- Install symlink in install-exec-hook hook (bug #5835).
- Don't accept accelerators that are not accepted by Gtk (bug #3524).
- Catch keybindings from previous and next tab when cycling is
  disabled (bug #3715).
- Build HTML documentation during make when compiling with
  --enable-gen-doc and ship the HTML pages in the tarball.
  See doc/README for more information.
- Integrate in Gnome's default applications (bug #6020).
- Handle window-resize requests (bug #6007).
- Improve handling of invalid colors in the rc file.
- Split option parsing in 2 stages to speed things up a bit and some
  related improvement in the D-Bus code.
- Don't show a warning when no config is found.
- Only build ChangeLog in dist.
- Translation updates (ja, lv, ca, ast, zh_CN, it, gl,


0.4.2
=====
- Fix broken background image when compositing is disabled (bug #5645).
- Use new xdt-autogen macros.
- Translation updates (ast, gl, cs, ja, da).


0.4.1
=====
- Install documentation in @docdir@ (bug #5593).
- Don't die on dbus exit.
- Use the initial title in tabs if the dynamic title is set to hidden.
- Silence the build.
- Disable mnemonics in GtkSettings (bug #5714).
- Translation updates (id, nl, ca, es, hu, ast, en_GB, el, gl, nb, pt, da, it).


0.4.0
=====
- Don't show the set title dialog when double-clicking on the scrollbar.
- Don't build the menubar when not enabled on startup.
- Various small code cleanups.
- Translation updates (cs, eu, ja, kk).


0.2.99.1
========
- Do not save properties that are the same as the default value (and not
  hidden) in the rc file. This makes startup a bit faster.
- Remove vte-title-workaround and show the vte title in the go menu
  (so without the initial title).
- Documentation updates.


0.2.90
======
- Change minimum dependency of VTE to 0.17.1 and GTK+ to 2.14.
- Use environ variables provided by GLib for better compatibility.
- Use new VTE api.
- Don't set contents change on window resize (bug #5443).
- Fix segfault in special tab configuration (bug #3809).
- Monitor config files using GIO to avoid polling for file
  changes (bug #3567).
- Check for case problems when creating the symlink (bug #4431).
- Add hidden option to disable middle-click tab close (bug #4403).
- Property handle the button accelerators in the compose
  dialog (bug #5288).
- Convert the preferences dialog into GtkBuilder (bug #2399,
  bug #2875, and bug #5496).
- Use stock icons and remove unused icons (bug #5495).
- Allow editing of shortcuts from the menu (bug #4246).
- Make the tab close button smaller.
- Fix compilation problems on Solaris (bug #4581).
- Update fullscreen action if changed by the wm (bug #5155).
- Add commandline option to set the window icon (bug #5480).
- Refactor the usage help so it's easier to understand. Also add
  the --maximize option.
- Allow '-character in links (bug #4465).
- Add hidden option for the cursor shape (bug #4602).
- Convert preferences dialog in Gtkbuilder and make it fit better
  inside Xfce using the titled dialog.
- Fix compiler warnings, code cleanups and improvements.
- Support for the erase tty key binding, requires vte 0.20.4 (bug #2925).
- A lot of updated translations.


0.2.12
======
- Property destroy the go menu item when a terminal screen is closed
  (bug #5101) so the Alt-[1-9] bindings work as expected.


0.2.10
======
- Support for Drag and Drop of tabs between Terminal windows was added
  (Bug #2684).
- The required version of GTK+ is now 2.10.
- Change about dialog URL to http://xfce.org/projects/terminal.
- Add support for a --maximize command line option. Patch by Mikel Ward
  <mikel@mikelward.com>.
- Updated translations: zh_CN, el, gl, de, pl, en_GB, ja, pt_BR,
  ca, es, id, cs, eu, sv, da, nb_NO, sq, be, tr, fi, et, ku, he, pt_PT,
  fr.


0.2.8
=====
- Close tabs with middle mouse click (Bug #3380).
- Security fix: URL handling allowed remote shell command execution
  (Bug #3383).
- The preferred application handling was completely removed from Terminal.
  Instead the Xfce Preferred Applications are invoked directly now. The
  URL highlighting can still be disabled via the hidden option
  "MiscHighlightUrls" (see the documentation for details).
- Test for support of -Wall, -Werror and -errwarn=%all (Bug #2920).
- Add support to disable the single line scrolling using Shift-Up/-Down
  (Bug #1927).
- Embed the user interface description into the binary (Bug #3522).
- Set $WINDOWID properly (Bug #3341).
- Add support to close tabs with middle click (Bug #3380).
- Updated translations: Alexander Nyakhaychyk (be), Pau Rul-lan Ferragut (ca),
                        Benedikt Meurer (de), Jeff Bailes (en_GB), Sylvain
                        Vedrenne (eo), Jari Rahkonen (fi), Maximilian Schleiss
                        (fr), Daichi Kawahata (ja), ByungHyun Choi (ko), Mişu
                        Moldovan (ro), Eren Turkay (tr)
- New translations: Mohamed Magdy (ar), Rihards Prieditis (lv), Terje Uriansrud
                    (nb_NO), Nuno Miguel (pt_PT), Besnik Bleta (sq), ﻢﺤﻣﺩ ﻊﻠﻳ
                    ﺎﻠﻤﻜﻳ (ur)


0.2.6
=====
- Add support for real transparency with GTK+ 2.10 and a composition manager
  (Bug #2671).
- Do not crash when you the first tab is detached and MiscAlwaysTabs is set
  to TRUE (Bug #2686).
- Add support to reorder tabs with GTK+ 2.10 (Bug #1974).
- Fix installation on case insensitive file systems (Bug #2526).
- Updated translations: Michal Varady (cs), Benedikt Meurer (de), Stavros
                        Giannouris (el), Piarres Beobide (eu), Jari Rahkonen
                        (fi), Maximilian Schleiss (fr), Szymon Kałasz (pl),
                        Andrey Fedoseev (ru).
- New translations: Alexander Nyakhaychyk (be), Amanpreet Singh Alam (pa).


0.2.5.9svn
==========
- Add support for real transparency with GTK+ 2.10 and a compositing manager,
  i.e. the one built into xfwm4 (Bug #2671).


0.2.5.8rc2
==========
- Add a new "Paste Selection" action to the "Edit" menu, which pastes the
  contents of the PRIMARY selection (#2242).
- Accept drops from the Thunar path bar (#2284).
- Fix installation in Win32 platforms (#2433).
- Fix incorrect english in usage text (#2381).
- Fix incorrectly handled SIGPIPE (#2349).
- Updated translations: Michal Varady (cs), Benedikt Meurer (de), Jarbas Araujo
                        Jr. (eo), Piarres Beobide (eu), Jari Rahkonen (fi),
                        Maximilian Schleiss (fr), Szymon Kałasz (pl), Adriano
                        Winter Bess (pt_BR), Andrey Fedoseev (ru)
- New translations: Tenzin Dendup (dz)


0.2.5.6rc1
==========
- It is now possible to assign a keyboard shortcut to open the preferred
  application dialog for people that disable the menu bar.
- Terminal now allows you to choose different colors for the cursor and the
  text selection color.
- A new command line option --hold was added, which prevents Terminal from
  closing tabs when the child command exits.
- The MiscCycleTabs option is now enabled by default.
- A new hidden option MiscInheritGeometry was added, which controls whether
  new windows will inherit the geometry of the parent window.
- A new hidden option MiscAlwaysShowTabs was added, which controls whether the
  tabs should always be shown no matter how many tabs are present in a window.
- A new hidden option MiscTabPosition was added, which specifies the position
  where the tabs should be placed.
- Parse file:-URIs dropped to a Terminal window properly and format them so
  they can be used in shell commands directly (Bug #2076).
- Use the thumbnail preview support for the background image selection that
  was added with exo 0.3.1.10rc1 (Bug #2069).
- Add '~' to the default word chars.
- The dependency on libxfcegui4 is gone. The required Gtk+ version was bumped
  to 2.6.0.
- The user manual is now available in English and Japanese.
- Updated translations: Jaime Buffery (es), Jari Rahkonen (fi), Daichi
  Kawahata (ja), Hydonsingore Sie (zh_TW)
- New translations: Pau Rullan Ferragut (ca), Michal Várady (cs), Stavros
  Giannouris (el), Piarres Beobide Egaña (eu), Antono Vasiljev (eo), Leandro
  Regueiro (gl), Szervác Attila (hu), Vittorio Palmisano (it), Kibum Han (ko),
  Mantas Zapolskas (lt), Szymon Kałasz (pl), Adriano Winter Bess and Joao
  Pedrosa (pt_BR), Andrey Fedoseev and Anthony Ivanoff (ru), Roman Moravcik
  (sk), Jens Hagerman (sv), Maxim V. Dziumanenko (uk), Phan Vĩnh Thịnh (vi)


0.2.4
=====
- You can now open hyperlinks (and email addresses) from within Terminal by
  either middle-clicking the hyperlink or choosing the appropriate item from
  the right-click menu. This feature is optional and can be disabled.
- When terminal background was set to "background image" and the user opened
  a new terminal tab, the background image was not always set properly. This
  is fixed now.
- A new hidden option "MiscCycleTabs" was added to allow users to circulate
  through terminal tabs, similar to what Mozilla Firefox does by default.
- Another new hidden option "MiscTabCloseButtons" was added to allow users to
  disable the close buttons in the terminal tab headers.
- The keyboard shortcuts to go to a specific terminal tab now work properly
  even if the main menu bar is hidden.
- Added the possibility to let Vte auto-detect the backspace and delete bindings
  for the terminal.
- Changed default paste shortcut to Shift+Ctrl+V.
- The configuration file is watched for changes now and will be reread
  automatically. You no longer need to restart Terminal if you manually edited
  the terminalrc file.
- Terminal now supports D-BUS 0.23 (and earlier) and D-BUS 0.31 (and later),
  while the dependency on D-BUS is optional.
- The output of "Terminal --help" now properly shows the translation (if any)
  instead of the english text.
- Various usability improvements.
- Updated translations: os-cillation (de), Stephane Roy (fr), Jasper Huijsmans
  (nl).
- New translations: Jari Rahkonen (fi), Yuval Tanny (he), Daichi Kawahata (ja),
  Anthony Ivanoff (ru), Army Gu (zh_CN)
- The documentation has been updated.


0.2.2
=====
- A command line option --fullscreen was added to put a new window into
  fullscreen mode automatically.
- Users can open only one preferences dialog per terminal window now.
- The shortcut for the commandline option --title is now -T, because that
  seems to be common among terminal emulators. -t is still supported for
  compatbility with gnome-terminal, but may be removed in the future.
- Remote displays are supported properly now. But multi-screen mode will only
  work with solid background until the Vte guys fix the multi-screen issue
  (see http://bugzilla.gnome.org/show_bug.cgi?id=160782).
- Modifiers like <Mod2> or <Lock> are now stripped off when using the
  shortcut editor, since it turned out that they don't work properly with
  some X setups.
- Pressing Shift<F10> also pops up the right-click menu now.
- Fixed a bug where the size was not always properly set when opening a
  new terminal tab.
- A new toplevel menu "Go" was added, which includes "Prev Tab", "Next Tab"
  and a list of currently active tabs. People who use a customized Terminal.ui
  will need to sync their copy with the default Terminal.ui file in order
  to see this change.
- New shortcuts have been added to allow fast switching to the first 9
  terminal tabs; the shortcuts default to Alt+#.
- The terminal tab close button is now properly rendered with Gtk+ themes
  that are based on the "pixmap" engine.
- The "Use colors from system theme" option was removed, as it was mostly
  unusued and its really not a required option after all (I don't know any
  Gtk+ theme that specifies colors for VteTerminal anyways).
- You can now scroll up/down by one line using Shift+Up and Shift+Down, in
  the same manner as in aterm.
- A new option "Allow bold text" was added, to control whether or not
  Terminal will attempt to draw bold text by repainting text with a
  different offset.
- Added the possibility to detach tabs from a given Terminal window and
  reopen that tab in a new window. This functionality is available from
  a right-click menu that was added to the tab title widgets.
- The about dialog now uses the Terminal application icon instead of the
  terminal-general stock icon.
- The terminal service now checks the user id of callers and if the
  user ids doesn't match the caller will automatically run in its
  own Terminal instance. This allows users to run Terminal with different
  users without having to supply the --disable-server option, e.g. running
  "sudo Terminal" (please note that this is not recommended!).
- Several other bugs and glitches have been fixed.
- New translations: Dwayne Bailey (en_GB), Hydonsingore Sie (zh_TW),
  Jaime Buffery (es)
- Updated translations: os-cillation (de), Jasper Huijsmans (nl_NL)
- The documentation has been updated.


0.2.0
=====
- The user interface was reworked to comply with the GNOME Human Interface
  Guidelines (HIG).
- Terminal can now use the foreground and background color from the selected
  Gtk+ theme.
- Toolbars can now be edited by right-clicking the appriorate toolbar.
- The preferences dialog and the title dialog are now accessible.
- Avoid flickering when opening a new terminal.
- The terminal background is now set up before the terminal is mapped on
  screen.
- Menu access keys can now be disabled, which allows passing key combinations
  such as Alt+f to the application running inside the terminal.
- Font-antialiasing can now be turned off for the terminal font rendering,
  which impressively speeds up Terminal performance and reduces system
  load on slow systems.
- Optional support for startup notification was added.
- A bunch of new command line options were added, which allow the user
  to control every aspect of a terminal window from the command line and
  its also possible to open multiple windows and multiple tabs from the
  command line.
- The terminal title can now be changed by double-clicking the terminal
  tab header.
- Multi-screen and multi-display configurations are now properly supported
  by Terminal.
- A bug in the backspace binding preference was fixed, which caused Terminal
  to use Control+H if the user configured ASCII DEL and vice versa.
- Support for session management was added (using X11R5 WM_SAVE_YOURSELF).
- Added a confirmation dialog, that pops up when a window with more than
  one tab is about to be closed. The confirmation can be disabled from
  the dialog.
- Icons are now built into the Terminal binary to avoid the 100-500ms
  increase in startup time when using the icon lookup functions in
  libxfcegui4.
- If an application running inside the terminal supports using the
  mouse (like mc for example), Terminal automatically disables the
  right-click menu and forwards all button clicks to the application
  instead. Hold down shift while pressing the right mouse button to
  get a right-click menu in this situation.
- Several bugfixes and improvements have been integrated into Terminal
  (in order to reduce code-size and startup time).
- The D-BUS interface was changed to include a version number and to
  pass the argument vector instead of the parsed options to the
  Terminal service.
- The online documentation and the manual page have been updated.


0.1.10
======
- The configure option --enable-final is now on by default for plattforms
  that support it.
- A bunch of new icons was imported.
- Terminal now includes an editable toolbar, which is disabled by default.
- The background image can now be displayed in different styles (Tiled,
  Scaled, Stretched and Centered). In addition the background image chooser
  dialog now features a preview widget and an `Image files' filter.
- Various resize-related bugs have been addressed and fixed.
- Terminal now defaults to current working directory if no --working-directory
  command line switch was specified.
- The documentation was updated and a manual page for Terminal was added.


0.1.9
=====
- The configure option --enable-final now enables linker optimizations for
  plattforms that support it (recent GNU binutils required).
- The UI description is now installed as a separate file, to allow users to
  customize their menus rudimentarily.
- The documentation was updated.


0.1.8
=====
- Background darkness setting is now restored correctly.
- Open Terminal now always openes a new Terminal window instead of
  randomly opening a new tab
- French and Dutch translations are included now, thanks to Jasper
  Huijsmans <jasper@xfce.org> for reviewing and fixing the dutch
  translation.
- A FAQ section was added to the documentation.


0.1.7
=====
- New icons for the preferences dialog by Francois Le
  Clainche <fleclainche@wanadoo.fr>, available as PNG and
  scalable images.
- Online documentation updated. All of Terminal is now documented.
- The user can now specify the setting of the $TERM environment
  variable on new terminals.
- The color palette used by the terminal applications is configurable
  now. It defaults to the Linux console color palette.
- The configured background is also used for tinting the terminal background
  in image and transparent mode.


0.1.6
=====
- Fixed a bug that made mc appear in black and white only.
- Added documentation for Terminal, available through the menu Help->Contents
  and available online at http://www.os-cillation.de/documentation/terminal/
- The compact mode functionality was split up into 2 options, its now possible
  to toggle the visibility of the menubar and the window decorations inde-
  pendently.
- New icons for Open Terminal and Open Tab, designed by Francois Le
  Clainche <fleclainche@wanadoo.fr>.
- Custom command functionality was removed from Terminal, because it is
  rather useless, now that Terminal offers -x/--execute command line
  options.
- The output of Terminal --help was improved to list all options with
  descriptions of their functionality.
- The Preferences dialog was changed to use GtkFrame instead of XfceFramebox
  to get a smoother look.
- Translations now work the way they are expect to work. For now, only
  german translations are available.


0.1.5
=====
- A keyboard shortcut editor was added.
- The tab close icon size was decreased.
- Geometry handling was improved.
- .desktop and .spec files have been added.
